package net.northking.cctp.common.persistence.rule;

import java.util.Date;

/**
 * 创建人、创建时间、最近更新人、最近更新时间 的规则
 *
 * @author xiusong.xie
 * @since 2.4
 */
public interface CreatedUpdatedRule
{
  String getCreatedBy();

  void setCreatedBy(String createdBy);

  Date getCreatedTime();

  void setCreatedTime(Date createdTime);

  String getUpdatedBy();

  void setUpdatedBy(String updatedBy);

  Date getUpdatedTime();

  void setUpdatedTime(Date updatedTime);
}
